--[Text Level Kerning]
--Kerning values used by the Text Adventure game engine.

--Set the main scaler.
SugarFont_SetKerning(1.0)

--Letters groupings.
SugarFont_SetKerning(string.byte("i"), -1, 2.0)
SugarFont_SetKerning(-1, string.byte("i"), 1.0)

--Punctuation groupings.
SugarFont_SetKerning(-1, string.byte(","), 2.0)
SugarFont_SetKerning(-1, string.byte("."), 2.0)
SugarFont_SetKerning(-1, string.byte("'"), 2.0)
SugarFont_SetKerning(-1, string.byte(":"), 2.0)
SugarFont_SetKerning(-1, string.byte("!"), 2.0)
SugarFont_SetKerning(-1, string.byte("'"), 0.0)
SugarFont_SetKerning(string.byte("'"), -1, 0.0)
SugarFont_SetKerning(string.byte(" "), string.byte("'"), 6.0)

--Specific punctuations.
SugarFont_SetKerning(string.byte("!"), string.byte("'"), 2.0)
SugarFont_SetKerning(string.byte("?"), string.byte("'"), 2.0)

--Numbers.
SugarFont_SetKerning(string.byte("1"), string.byte(" "), 4.0)
SugarFont_SetKerning(string.byte("1"), string.byte("2"), 3.0)
SugarFont_SetKerning(string.byte("1"), string.byte("3"), 2.0)
SugarFont_SetKerning(string.byte("1"), string.byte("4"), 3.0)
SugarFont_SetKerning(string.byte("1"), string.byte("9"), 3.0)

--Lowercase letters.
SugarFont_SetKerning(string.byte("a"), string.byte("c"), 1.0)
SugarFont_SetKerning(string.byte("a"), string.byte("i"), 0.0)
SugarFont_SetKerning(string.byte("a"), string.byte("t"), 1.0)
SugarFont_SetKerning(string.byte("c"), string.byte("e"), 0.0)
SugarFont_SetKerning(string.byte("c"), string.byte("r"), 0.0)
SugarFont_SetKerning(string.byte("c"), string.byte("t"), 0.0)
SugarFont_SetKerning(string.byte("c"), string.byte("u"), 0.0)
SugarFont_SetKerning(string.byte("d"), string.byte("e"), 0.0)
SugarFont_SetKerning(string.byte("d"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("i"), string.byte("e"), 1.0)
SugarFont_SetKerning(string.byte("i"), string.byte("p"), 2.0)
SugarFont_SetKerning(string.byte("i"), string.byte("n"), 1.0)
SugarFont_SetKerning(string.byte("i"), string.byte("s"), 1.0)
SugarFont_SetKerning(string.byte("i"), string.byte("v"), 2.0)
SugarFont_SetKerning(string.byte("e"), string.byte("a"), 0.0)
SugarFont_SetKerning(string.byte("e"), string.byte("c"), 0.0)
SugarFont_SetKerning(string.byte("e"), string.byte("d"), 0.0)
SugarFont_SetKerning(string.byte("e"), string.byte("n"), 0.0)
SugarFont_SetKerning(string.byte("e"), string.byte("r"), 0.0)
SugarFont_SetKerning(string.byte("e"), string.byte("s"), 0.0)
SugarFont_SetKerning(string.byte("e"), string.byte("t"), 0.0)
SugarFont_SetKerning(string.byte("e"), string.byte("v"), 0.0)
SugarFont_SetKerning(string.byte("f"), string.byte("a"), 0.0)
SugarFont_SetKerning(string.byte("f"), string.byte("e"), -1.0)
SugarFont_SetKerning(string.byte("f"), string.byte("i"), 0.0)
SugarFont_SetKerning(string.byte("f"), string.byte("o"), -1.0)
SugarFont_SetKerning(string.byte("f"), string.byte("l"), -1.0)
SugarFont_SetKerning(string.byte("f"), string.byte("r"), -1.0)
SugarFont_SetKerning(string.byte("f"), string.byte("u"), -1.0)
SugarFont_SetKerning(string.byte("g"), string.byte("e"), 0.0)
SugarFont_SetKerning(string.byte("g"), string.byte("l"), 0.0)
SugarFont_SetKerning(string.byte("g"), string.byte("m"), 0.0)
SugarFont_SetKerning(string.byte("g"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("h"), string.byte("e"), 1.5)
SugarFont_SetKerning(string.byte("h"), string.byte("o"), 2.0)
SugarFont_SetKerning(string.byte("j"), string.byte("a"), -2.0)
SugarFont_SetKerning(string.byte("j"), string.byte("e"), -1.0)
SugarFont_SetKerning(string.byte("j"), string.byte("o"), -2.0)
SugarFont_SetKerning(string.byte("j"), string.byte("u"), -2.0)
SugarFont_SetKerning(string.byte("l"), string.byte("o"), 2.0)
SugarFont_SetKerning(string.byte("l"), string.byte("y"), 2.0)
SugarFont_SetKerning(string.byte("m"), string.byte("e"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("f"), 3.0)
SugarFont_SetKerning(string.byte("n"), string.byte("g"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("l"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("o"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("s"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("t"), 1.0)
SugarFont_SetKerning(string.byte("o"), string.byte("d"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("f"), 1.0)
SugarFont_SetKerning(string.byte("o"), string.byte("g"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("l"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("t"), 1.0)
SugarFont_SetKerning(string.byte("o"), string.byte("m"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("n"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("u"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("y"), 0.0)
SugarFont_SetKerning(string.byte("q"), string.byte("u"), 0.0)
SugarFont_SetKerning(string.byte("r"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("s"), string.byte("t"), 1.0)
SugarFont_SetKerning(string.byte("t"), string.byte("a"), -1.0)
SugarFont_SetKerning(string.byte("t"), string.byte("e"), 0.0)
SugarFont_SetKerning(string.byte("t"), string.byte("i"), -1.0)
SugarFont_SetKerning(string.byte("t"), string.byte("h"), -1.0)
SugarFont_SetKerning(string.byte("t"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("t"), string.byte("r"), 0.0)
SugarFont_SetKerning(string.byte("t"), string.byte("s"), -1.0)
SugarFont_SetKerning(string.byte("t"), string.byte("t"), -1.0)
SugarFont_SetKerning(string.byte("t"), string.byte("u"), -1.0)
SugarFont_SetKerning(string.byte("u"), string.byte("i"), 2.0)
SugarFont_SetKerning(string.byte("u"), string.byte("t"), 2.0)
SugarFont_SetKerning(string.byte("v"), string.byte("a"), -1.0)
SugarFont_SetKerning(string.byte("v"), string.byte("e"), -1.0)
SugarFont_SetKerning(string.byte("v"), string.byte("i"), 0.0)
SugarFont_SetKerning(string.byte("w"), string.byte("a"), -1.0)
SugarFont_SetKerning(string.byte("w"), string.byte("e"), 1.0)
SugarFont_SetKerning(string.byte("w"), string.byte("h"), -1.0)
SugarFont_SetKerning(string.byte("w"), string.byte("i"), 0.0)
SugarFont_SetKerning(string.byte("w"), string.byte("n"), 0.0)
SugarFont_SetKerning(string.byte("w"), string.byte("o"), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte("g"), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte("d"), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte("o"), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte("p"), 0.0)
SugarFont_SetKerning(string.byte("y"), string.byte("s"), -1.0)
SugarFont_SetKerning(string.byte("z"), string.byte("e"), 0.0)

--Uppercase letters.
SugarFont_SetKerning(string.byte("A"), string.byte("f"), 0.0)
SugarFont_SetKerning(string.byte("A"), string.byte("g"), 0.0)
SugarFont_SetKerning(string.byte("A"), string.byte("l"), 0.0)
SugarFont_SetKerning(string.byte("A"), string.byte("n"), 0.0)
SugarFont_SetKerning(string.byte("A"), string.byte("r"), 0.0)
SugarFont_SetKerning(string.byte("A"), string.byte("t"), -1.0)
SugarFont_SetKerning(string.byte("C"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("I"), string.byte("f"), 2.0)
SugarFont_SetKerning(string.byte("O"), string.byte("p"), -1.0)
SugarFont_SetKerning(string.byte("O"), string.byte("n"), -1.0)
SugarFont_SetKerning(string.byte("O"), string.byte("r"), -1.0)
SugarFont_SetKerning(string.byte("Q"), string.byte("u"), -1.0)
SugarFont_SetKerning(string.byte("T"), string.byte("h"), -1.0)
SugarFont_SetKerning(string.byte("T"), string.byte("y"), -1.0)
SugarFont_SetKerning(string.byte("V"), string.byte("e"), -2.0)
SugarFont_SetKerning(string.byte("W"), string.byte("h"), -1.0)
SugarFont_SetKerning(string.byte("Y"), string.byte("o"), -2.0)

--Letter-to-punctuation.
SugarFont_SetKerning(string.byte("e"), string.byte("!"), 0.0)
SugarFont_SetKerning(string.byte("n"), string.byte(" "), 2.0)
SugarFont_SetKerning(string.byte("r"), string.byte("."), 0.0)
SugarFont_SetKerning(string.byte("t"), string.byte("."), 0.0)
SugarFont_SetKerning(string.byte("t"), string.byte(","), -1.0)
SugarFont_SetKerning(string.byte("t"), string.byte("?"), 0.0)
SugarFont_SetKerning(string.byte("w"), string.byte("!"), -2.0)
SugarFont_SetKerning(string.byte("y"), string.byte("!"), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte("."), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte("'"), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte(","), -2.0)
SugarFont_SetKerning(string.byte(" "), string.byte("i"), 4.0)

--Punctuation-to-letter.
SugarFont_SetKerning(string.byte("t"), string.byte("!"), 0.0)
SugarFont_SetKerning(string.byte("h"), string.byte(" "), 4.0)
SugarFont_SetKerning(string.byte("w"), string.byte("."), -1.0)
